Subject: Question on prune override timing.

From: Ravi Shekhar <[email-masked]>
Date: Mon, 19 Jul 1999 15:46:00 -0400

I was wondering how does PIM-SM ensures that a prune-override
join reaches the upstream router after the prune itself. Is
there a suggested time-interval after which a prune-override
join should be triggered ? 

It could be a persistant problem if 3 routers - two downstream
(D1/D2) are connected to an upstream(U1) using asymmetrical links 
(on the same subnet) such that D1-D2 and D2-U1 are faster links but 
D1-U1 is a slower link. In this case if D1 sends a prune, which reaches 
U1 after D2s join (to override the prune), U1 will end up pruning it.

PIM-DM avoids this situation it by making upstream router send another 
prune (so that it can be overridden) just before pruning.

Thanks.
  - Ravi Shekhar.